.flexColumn {
    display:flex;
    flex-direction:column;
    align-items:center;
}


footer {
    text-align:center;
    margin:3em;
}

html,body,main {
    height:99%;
}

main {
    margin:auto;
}


#panes {
    display:flex;
    width:100%;
    height:95%;
}

#previewDIV, textarea {
    overflow:scroll;
    line-height:150%;

}

#previewDIV {
    border:1px solid #333;
}

div.horizontal {
    flex-direction:column;
}
div.horizontal>* {
    width:100%;
    height:50%;
}

div.vertical {
    flex-direction:row;
}
div.vertical>* {
    width:50%;
    height:100%;
}

#helpDIV {
    max-width:30em;
    height:95%;
    margin:0 auto;
    border:1px solid #888;
    overflow:scroll;
    padding:1ex;
}

#helpDIV button {
    height:3ex;
}

#controlsDIV {
    margin-top:.5ex;
    line-height:2em;
    display:flex;
    flex-wrap:wrap;
}

button, label {
    display:inline-block;
    background-color:#eee;
    border:1px solid #000;
}

button {
}

label {
    padding:0 1ex;
}

label input {
}
